## gluegen2 2.3.2

=== Makefile ===
BITS=32

ifeq ($(BITS),32)
  CC=gcc32
  NS=win-x86
  SCFLAGS=
else
  BITS=64
  CC=gcc64
  NS=win-x64
  SCFLAGS=-D_MSC_VER=1400
endif

CFLAGS=-m$(BITS) -shared -c -fno-rtti -fPIC $(SCFLAGS) -I/usr/lib/jvm/java-6-sun/include -I../common/platform-libs/jre-include/win32
LFLAGS=-m$(BITS) -shared -fno-rtti -fPIC

SRC1=src/native/common/CPU.c
SRC2=src/native/windows/WindowsDynamicLinkerImpl_JNI.c

OBJ1=build/obj/$(NS)/CPU.o
OBJ2=build/obj/$(NS)/WindowsDynamicLinkerImpl_JNI.o

BIN=build/obj/$(NS)/gluegen-rt.dll

all: $(BIN)

$(BIN): $(OBJ1) $(OBJ2)
	$(CC) $(LFLAGS) $(OBJ1) $(OBJ2) -o $(BIN)

$(OBJ1): $(SRC1)
	$(CC) $(CFLAGS) $(SRC1) -o $(OBJ1)

$(OBJ2): $(SRC2)
	$(CC) $(CFLAGS) $(SRC2) -o $(OBJ2)

clean:
	rm -f $(BIN) $(OBJ1) $(OBJ2)

## gluegen2 2.0-rc2

=== debian/changelog ===
gluegen2 (2.0-rc2-7) unstable; urgency=low

  * Fix the runtime detection of the arch + 32/64 bits. Was causing FTBFS of
    jogl2

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 08 May 2011 23:23:15 +0200

gluegen2 (2.0-rc2-6) unstable; urgency=low

  * Upload to unstable
  * needless-dependency-on-jre lintian warning removed
  * script-not-executable fixed
  * Standards-Version updated to 3.9.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 16 Apr 2011 13:51:53 +0200

gluegen2 (2.0-rc2-5) experimental; urgency=low

  * Fix build issues with arm, ia64, alpha & armel (Closes: #615872)
  * /usr/lib/jvm/default-java as JAVA_HOME (Closes: #618788)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 24 Mar 2011 23:34:22 +0100

gluegen2 (2.0-rc2-4) experimental; urgency=low

  * Same player, try again: I forgot some declarations in make/build.xml

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 16 Mar 2011 21:23:33 +0100

gluegen2 (2.0-rc2-3) experimental; urgency=low

  * Try to build on all Debian archs. Archs are likely to fail here.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 14 Mar 2011 21:28:49 +0100

gluegen2 (2.0-rc2-2) experimental; urgency=low

  * Beginning of the management of other debian archs. Partially fixes the
    bug #615872.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 13 Mar 2011 22:54:39 +0100

gluegen2 (2.0-rc2-1) experimental; urgency=low

  * New upstream release
  * README.source added
  * Copyright file updated

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 04 Mar 2011 16:21:45 +0100

gluegen2 (2.0-rc1-3) experimental; urgency=low

  * Disable some options (junit of gluegen + copy of the license files) 
    for packaged based on gluegen2 (cf: disablesSomeOptions.diff)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 01 Mar 2011 00:44:11 +0100

gluegen2 (2.0-rc1-2) experimental; urgency=low

  * gluegen2 artifact.properties + jnlp files also installed
  * Update of the Vcs-* tags
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 28 Feb 2011 10:15:33 +0100

gluegen2 (2.0-rc1-1) experimental; urgency=low

  * Initial Release (Closes: #605902)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 04 Dec 2010 16:22:37 +0100

=== debian/control ===
Source: gluegen2
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 7), cdbs, quilt, default-jdk, 
 ant, junit4, ant-contrib-cpptasks, ant-optional, libantlr-java
Standards-Version: 3.9.2
Homepage: http://jogamp.org/
Vcs-Svn: svn+ssh://svn.debian.org/svn/pkg-java/trunk/libgluegen2-java
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-java/trunk/libgluegen2-java/

Package: libgluegen2-rt-java
Architecture: all
Suggests: libgluegen2-doc
Depends:  ${misc:Depends}, antlr
Description: Tool to automatically generate the Java and JNI code.
 Gluegen reads as input ANSI C header files and separate configuration files
 which provide control over many aspects of the glue code generation. GlueGen
 uses a complete ANSI C parser and an internal representation (IR) capable of
 representing all C types to represent the APIs for which it generates
 interfaces. It has the ability to perform significant transformations on the
 IR before glue code emission. GlueGen is currently powerful enough to bind
 even low-level APIs such as the Java Native Interface (JNI) and the AWT Native
 Interface (JAWT) back up to the Java programming language.
 .
 This package contains the gluegen 2 runtime files.

Package: libgluegen2-build-java
Architecture: all
Suggests: libgluegen2-doc
Depends:  ${misc:Depends}, antlr
Description: Tool to automatically generate the Java and JNI code.
 Gluegen reads as input ANSI C header files and separate configuration files
 which provide control over many aspects of the glue code generation. GlueGen
 uses a complete ANSI C parser and an internal representation (IR) capable of
 representing all C types to represent the APIs for which it generates
 interfaces. It has the ability to perform significant transformations on the
 IR before glue code emission. GlueGen is currently powerful enough to bind
 even low-level APIs such as the Java Native Interface (JNI) and the AWT Native
 Interface (JAWT) back up to the Java programming language.
 .
 This package contains some Java sources necessary to build gluegen-based
 packages.


Package: libgluegen2-jni
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tool to automatically generate the Java and JNI code.
 Gluegen reads as input ANSI C header files and separate configuration files
 which provide control over many aspects of the glue code generation. GlueGen
 uses a complete ANSI C parser and an internal representation (IR) capable of
 representing all C types to represent the APIs for which it generates
 interfaces. It has the ability to perform significant transformations on the
 IR before glue code emission. GlueGen is currently powerful enough to bind
 even low-level APIs such as the Java Native Interface (JNI) and the AWT Native
 Interface (JAWT) back up to the Java programming language.
 .
 This package includes the architecture specific java native interface part.

Package: libgluegen2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libgluegen2
Description: Tool to automatically generate the Java and JNI code.
 Gluegen reads as input ANSI C header files and separate configuration files
 which provide control over many aspects of the glue code generation. GlueGen
 uses a complete ANSI C parser and an internal representation (IR) capable of
 representing all C types to represent the APIs for which it generates
 interfaces. It has the ability to perform significant transformations on the
 IR before glue code emission. GlueGen is currently powerful enough to bind
 even low-level APIs such as the Java Native Interface (JNI) and the AWT Native
 Interface (JAWT) back up to the Java programming language.
 .
 This package includes the API documentation for Gluegen package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

JAVA_HOME            := /usr/lib/jvm/default-java/
DEB_JARS             := ant-launcher antlrall ant-antlr ant-contrib-cpptasks ant-junit
DEB_ANT_CLEAN_TARGET := clean
DEB_BUILDDIR         := make
DEB_ANT_BUILD_TARGET := all junit.run

install/libgluegen2-rt-java::
	install -m 644 -D build/gluegen-rt.jar debian/libgluegen2-rt-java/usr/share/java/gluegen2-$(DEB_UPSTREAM_VERSION)-rt.jar
	ln -s gluegen2-$(DEB_UPSTREAM_VERSION)-rt.jar debian/libgluegen2-rt-java/usr/share/java/gluegen2-rt.jar

install/libgluegen2-build-java::
	mkdir -p $(CURDIR)/debian/libgluegen2-build-java/usr/share/gluegen2/make/
	cp -R make/* debian/libgluegen2-build-java/usr/share/gluegen2/make/
	cp -R build/artifact.properties debian/libgluegen2-build-java/usr/share/gluegen2/
	mkdir -p $(CURDIR)/debian/libgluegen2-build-java/usr/share/gluegen2/jnlp-files/
	cp -R jnlp-files/* debian/libgluegen2-build-java/usr/share/gluegen2/jnlp-files/
	mkdir -p $(CURDIR)/debian/libgluegen2-build-java/usr/share/gluegen2/src/java/
	cp -R src/java/* debian/libgluegen2-build-java/usr/share/gluegen2/src/java/
	mkdir -p $(CURDIR)/debian/libgluegen2-build-java/usr/share/gluegen2/src/native/
	cp -R src/junit/* debian/libgluegen2-build-java/usr/share/gluegen2/src/junit/
	mkdir -p $(CURDIR)/debian/libgluegen2-build-java/usr/share/gluegen2/src/junit/
	cp -Rf src/native/* debian/libgluegen2-build-java/usr/share/gluegen2/src/native/
	mkdir -p $(CURDIR)/debian/libgluegen2-build-java/usr/share/gluegen2/test/junit/
	cp -Rf test/junit/* debian/libgluegen2-build-java/usr/share/gluegen2/test/junit
	install -m 644 -D build/gluegen.jar debian/libgluegen2-build-java/usr/share/java/gluegen2-$(DEB_UPSTREAM_VERSION).jar
	ln -s gluegen2-$(DEB_UPSTREAM_VERSION).jar debian/libgluegen2-build-java/usr/share/java/gluegen2.jar
	find debian/libgluegen2-build-java/usr/share/gluegen2/ -type f -exec chmod a-x {} \;
#extra license
	chmod +x debian/libgluegen2-build-java/usr/share/gluegen2/make/scripts/*.sh
	rm debian/libgluegen2-build-java/usr/share/gluegen2/src/java/com/jogamp/gluegen/cgram/license.txt

install/libgluegen2-jni::
	install -m 644 -D build/obj/libgluegen-rt.so debian/libgluegen2-jni/usr/lib/jni/libgluegen2-rt.so

install/libgluegen2-doc::
	$(DEB_ANT_INVOKE) javadoc
	mkdir -p debian/libgluegen2-doc/usr/share/doc/libgluegen2-java/
	cp -Rf build/javadoc/gluegen/javadoc/* debian/libgluegen2-doc/usr/share/doc/libgluegen2-java/

clean::
	$(RM) -r gluegen/build

get-orig-source::
	-uscan --upstream-version 0

## gluegen2 2.0-rc3

=== debian/changelog ===
gluegen2 (2.0-rc3-6) unstable; urgency=low

  * Fix an issue under Arm and an other one for sparc which were causing issues
    with the jogl build

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 22 Nov 2011 00:40:19 +0100

gluegen2 (2.0-rc3-5) unstable; urgency=low

  * Add dependency between libgluegen2-rt-java => libgluegen2-jni
  * Disable the display of the cache jar exception

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 20 Nov 2011 17:59:48 +0100

gluegen2 (2.0-rc3-4) unstable; urgency=low

  * Grrr, now, compiler.cfg.linux is factorized for the other archs

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 08 Oct 2011 16:47:39 +0200

gluegen2 (2.0-rc3-3) unstable; urgency=low

  * Update tags Vcs-* 
  * linker.cfg.linux.* on some arch was failing

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 08 Oct 2011 15:08:11 +0200

gluegen2 (2.0-rc3-2) unstable; urgency=low

  * Fix some FTBFS on various archs

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 08 Oct 2011 13:50:08 +0200

gluegen2 (2.0-rc3-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 06 Oct 2011 13:24:11 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
  ant, junit4, ant-contrib-cpptasks, ant-optional, libantlr-java
 Standards-Version: 3.9.2
 Homepage: http://jogamp.org/
-Vcs-Svn: svn+ssh://svn.debian.org/svn/pkg-java/trunk/libgluegen2-java
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-java/trunk/libgluegen2-java/
+Vcs-Svn: svn+ssh://svn.debian.org/svn/pkg-java/trunk/gluegen2/
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-java/trunk/gluegen2/
 
 Package: libgluegen2-rt-java
 Architecture: all
 Suggests: libgluegen2-doc
-Depends:  ${misc:Depends}, antlr
+Depends:  ${misc:Depends}, antlr, libgluegen2-jni
 Description: Tool to automatically generate the Java and JNI code.
  Gluegen reads as input ANSI C header files and separate configuration files
  which provide control over many aspects of the glue code generation. GlueGen

## gluegen2 2.0-rc5

=== debian/changelog ===
gluegen2 (2.0-rc5-4) unstable; urgency=low

  * Fix a problem in the loading of the native lib (Closes: #668821)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 15 Apr 2012 18:37:43 +0200

gluegen2 (2.0-rc5-3) unstable; urgency=low

  * Set the exact version of the dependency between libgluegen2-rt-java
    and libgluegen2-jni

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 03 Apr 2012 10:59:34 +0200

gluegen2 (2.0-rc5-2) unstable; urgency=low

  * Really upload to unstable (oups)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 13 Mar 2012 01:04:56 +0100

gluegen2 (2.0-rc5-1) experimental; urgency=low

  * Upload in unstable
  * Standards-Version updated to version 3.9.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 12 Mar 2012 20:31:43 +0100

gluegen2 (2.0-rc5-1~exp2) experimental; urgency=low

  * Fix the build issue under s390x

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 26 Dec 2011 09:27:15 +0100

gluegen2 (2.0-rc5-1~exp1) experimental; urgency=low

  * New upstream release
  * watch now possible and integrated

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 26 Dec 2011 01:18:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 7), cdbs, quilt, default-jdk, 
  ant, junit4, ant-contrib-cpptasks, ant-optional, libantlr-java
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://jogamp.org/
 Vcs-Svn: svn+ssh://svn.debian.org/svn/pkg-java/trunk/gluegen2/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-java/trunk/gluegen2/
@@ -13,7 +13,7 @@
 Package: libgluegen2-rt-java
 Architecture: all
 Suggests: libgluegen2-doc
-Depends:  ${misc:Depends}, antlr, libgluegen2-jni
+Depends:  ${misc:Depends}, antlr, libgluegen2-jni (>= ${source:Version})
 Description: Tool to automatically generate the Java and JNI code.
  Gluegen reads as input ANSI C header files and separate configuration files
  which provide control over many aspects of the glue code generation. GlueGen

## gluegen2 2.0-rc8

=== debian/changelog ===
gluegen2 (2.0-rc8-2) unstable; urgency=low

  * Upload in unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 13 Jun 2012 18:31:35 +0200

gluegen2 (2.0-rc8-1) experimental; urgency=low

  [ Miguel Landaeta ]
  * Use public access URL in Vcs-Svn field. (Closes: #669300).

  [ Sylvestre Ledru ]
  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 15 May 2012 14:23:28 +0200

## gluegen2 2.0-rc11

=== debian/changelog ===
gluegen2 (2.0-rc11-1~exp1ubuntu1) raring; urgency=low

  * Add more explicit armhf support, rather than trying to use incorrect
    armel toolchain flags.
  * On armhf, build only the all.no_junit target.  "all junit.run"
    mysteriously segfaults on the first run but not thereafter.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Jan 2013 11:29:43 +0000

gluegen2 (2.0-rc11-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 08 Nov 2012 16:21:32 +0100

gluegen2 (2.0-rc10-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 02 Sep 2012 14:55:41 +0200

gluegen2 (2.0-rc9-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 02 Jul 2012 02:44:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: gluegen2
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 7), cdbs, quilt, default-jdk, 
  ant, junit4, ant-contrib-cpptasks, ant-optional, libantlr-java
 Standards-Version: 3.9.3
 Homepage: http://jogamp.org/
-Vcs-Svn: svn+ssh://svn.debian.org/svn/pkg-java/trunk/gluegen2/
+Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/gluegen2/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-java/trunk/gluegen2/
 
 Package: libgluegen2-rt-java

## gluegen2 2.0-rc12

=== debian/changelog ===
gluegen2 (2.0-rc12-1ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add more explicit armhf support, rather than trying to use incorrect
      armel toolchain flags.
    - On armhf, build only the all.no_junit target.  "all junit.run"
      mysteriously segfaults on the first run but not thereafter.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Jul 2013 16:59:05 +0100

gluegen2 (2.0-rc12-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 01 Jul 2013 14:01:11 +0200

gluegen2 (2.0-rc11-1ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add more explicit armhf support, rather than trying to use incorrect
      armel toolchain flags.
    - On armhf, build only the all.no_junit target.  "all junit.run"
      mysteriously segfaults on the first run but not thereafter.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Jun 2013 00:05:01 +0100

gluegen2 (2.0-rc11-1) unstable; urgency=low

  * Upload to unstable
  * Standards-Version updated to 3.9.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 15 May 2013 09:49:48 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, quilt, default-jdk, 
+Build-Depends: debhelper (>= 7), cdbs, quilt, default-jdk,
  ant, junit4, ant-contrib-cpptasks, ant-optional, libantlr-java
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://jogamp.org/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/gluegen2/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-java/trunk/gluegen2/

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,11 @@
 DEB_ANT_CLEAN_TARGET := clean
 DEB_BUILDDIR         := make
 DEB_ANT_BUILD_TARGET := all junit.run
+
+ifeq ($(DEB_HOST_ARCH),armhf)
+DEB_ANT_ARGS         += -DisAbiEabiGnuArmhf=true
+DEB_ANT_BUILD_TARGET := all.no_junit
+endif
 
 install/libgluegen2-rt-java::
 	install -m 644 -D build/gluegen-rt.jar debian/libgluegen2-rt-java/usr/share/java/gluegen2-$(DEB_UPSTREAM_VERSION)-rt.jar

## gluegen2 2.0.2

=== debian/changelog ===
gluegen2 (2.0.2-2) unstable; urgency=low

  * Team upload.
  * Apply patch to build config for FTBFS on alpha
    - Thank you to Michael Cree. (Closes: #728571)
  * Freshen and apply patch to build config for FTBFS on ppc64
    - Thank you to Hiroyuki Yamamoto.  (Closes: #694070)
  * Update Standards-Version to 3.9.5.
  * Change debhelper version from 7 to 9; update debian/compat from 5 to 9.

 -- tony mancill <tmancill@debian.org>  Sun, 03 Nov 2013 21:11:45 -0800

gluegen2 (2.0.2-1) unstable; urgency=low

  * New upstream release
  
  [ Colin Watson ]
  * Synchronise From Ubuntu.  Remaining changes:
    - Add more explicit armhf support, rather than trying to use incorrect
      armel toolchain flags.
    - On armhf, build only the all.no_junit target.  "all junit.run"
      mysteriously segfaults on the first run but not thereafter.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 28 Sep 2013 18:53:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: gluegen2
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, quilt, default-jdk,
+Build-Depends: debhelper (>= 9), cdbs, quilt, default-jdk,
  ant, junit4, ant-contrib-cpptasks, ant-optional, libantlr-java
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://jogamp.org/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/gluegen2/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-java/trunk/gluegen2/

## gluegen2 2.1.2

=== debian/changelog ===
gluegen2 (2.1.2-1) unstable; urgency=low

  * New upstream release
  * Update of the repack script to remove some thirdparty jars

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 08 Nov 2013 10:20:37 +0100

## gluegen2 2.1.3

=== debian/changelog ===
gluegen2 (2.1.3-1ubuntu1) trusty; urgency=medium

  * Build for Aarch64 and ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:21:42 +0100

gluegen2 (2.1.3-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 17 Dec 2013 09:29:23 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 DEB_ANT_CLEAN_TARGET := clean
 DEB_BUILDDIR         := make
 DEB_ANT_BUILD_TARGET := all junit.run
+DEB_ANT_ARGS += -Dtarget.sourcelevel=1.6 -Dtarget.targetlevel=1.6 -Dtarget.rt.jar=1.6
 
 ifeq ($(DEB_HOST_ARCH),armhf)
 DEB_ANT_ARGS         += -DisAbiEabiGnuArmhf=true

## gluegen2 2.1.5

=== debian/changelog ===
gluegen2 (2.1.5-1ubuntu1) trusty; urgency=medium

  * Build using the zero VM on AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Mar 2014 10:17:10 +0100

gluegen2 (2.1.5-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 24 Mar 2014 14:26:05 +0100

gluegen2 (2.1.4-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 11 Feb 2014 15:05:50 +0100

gluegen2 (2.1.3-2) unstable; urgency=low

  * Fix missing architectures support in <glibc-compat-symbols.h>
    Thanks to Aurélien Jarno for the patch (Closes: #733310)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 16 Jan 2014 11:03:13 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, quilt, default-jdk,
- ant, junit4, ant-contrib-cpptasks, ant-optional, libantlr-java
+ ant, junit4, ant-contrib-cpptasks, ant-optional, libantlr-java, openjdk-7-jre-zero [arm64]
 Standards-Version: 3.9.5
 Homepage: http://jogamp.org/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/gluegen2/

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 DEB_BUILDDIR         := make
 DEB_ANT_BUILD_TARGET := all junit.run
 DEB_ANT_ARGS += -Dtarget.sourcelevel=1.6 -Dtarget.targetlevel=1.6 -Dtarget.rt.jar=1.6
+
+ifeq ($(DEB_HOST_ARCH),arm64)
+  JAVACMD += -zero
+endif
 
 ifeq ($(DEB_HOST_ARCH),armhf)
 DEB_ANT_ARGS         += -DisAbiEabiGnuArmhf=true

## gluegen2 2.2.4

=== debian/changelog ===
gluegen2 (2.2.4-2) unstable; urgency=medium

  * Team upload.

  [ Colin Watson ]
  * Fix missing-arch-symbol.diff to cover the gcc case as well as clang
    (Closes: #769003)

 -- gregor herrmann <gregoa@debian.org>  Fri, 14 Nov 2014 22:58:56 +0100

gluegen2 (2.2.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 20 Oct 2014 16:52:41 +0200

gluegen2 (2.2.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Removed the dot at the end of the packages descriptions
  * Use XZ compression for the upstream tarball
  * Moved the package to Git
  * debian/copyright: Updated to the Copyright Format 1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 07 Oct 2014 16:45:57 +0200

gluegen2 (2.2.0-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * New upstream release
    - Include the fix for openjdk 8 (Closes: #754971)

  [ Anibal Monsalve Salazar ]
  * Add mips support.
    Add add-mips-support.patch.
    Patch by Dejan Latinovic <Dejan.Latinovic@imgtec.com>.
    Thanks to Anibal Monsalve Salazar.  (Closes: #750548)

  [ Emmanuel Bourg ]
  * Disabled the tests due to missing dependencies
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 07 Oct 2014 14:15:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, quilt, default-jdk,
- ant, junit4, ant-contrib-cpptasks, ant-optional, libantlr-java, openjdk-7-jre-zero [arm64]
-Standards-Version: 3.9.5
-Homepage: http://jogamp.org/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/gluegen2/
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-java/trunk/gluegen2/
+ ant, junit4, ant-contrib-cpptasks, ant-optional, libantlr-java,
+ ant-contrib
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-java/gluegen2.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/gluegen2.git
+Homepage: http://jogamp.org
 
 Package: libgluegen2-rt-java
 Architecture: all
 Suggests: libgluegen2-doc
-Depends:  ${misc:Depends}, antlr, libgluegen2-jni (>= ${source:Version})
-Description: Tool to automatically generate the Java and JNI code.
+Depends: ${misc:Depends}, antlr, libgluegen2-jni (>= ${source:Version})
+Description: Tool to automatically generate the Java and JNI code
  Gluegen reads as input ANSI C header files and separate configuration files
  which provide control over many aspects of the glue code generation. GlueGen
  uses a complete ANSI C parser and an internal representation (IR) capable of
@@ -29,8 +30,8 @@
 Package: libgluegen2-build-java
 Architecture: all
 Suggests: libgluegen2-doc
-Depends:  ${misc:Depends}, antlr
-Description: Tool to automatically generate the Java and JNI code.
+Depends: ${misc:Depends}, antlr
+Description: Tool to automatically generate the Java and JNI code
  Gluegen reads as input ANSI C header files and separate configuration files
  which provide control over many aspects of the glue code generation. GlueGen
  uses a complete ANSI C parser and an internal representation (IR) capable of
@@ -47,7 +48,7 @@
 Package: libgluegen2-jni
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Tool to automatically generate the Java and JNI code.
+Description: Tool to automatically generate the Java and JNI code
  Gluegen reads as input ANSI C header files and separate configuration files
  which provide control over many aspects of the glue code generation. GlueGen
  uses a complete ANSI C parser and an internal representation (IR) capable of
@@ -64,7 +65,7 @@
 Section: doc
 Depends: ${misc:Depends}
 Suggests: libgluegen2
-Description: Tool to automatically generate the Java and JNI code.
+Description: Tool to automatically generate the Java and JNI code
  Gluegen reads as input ANSI C header files and separate configuration files
  which provide control over many aspects of the glue code generation. GlueGen
  uses a complete ANSI C parser and an internal representation (IR) capable of

=== debian/rules ===
--- 
+++ 
@@ -5,15 +5,11 @@
 include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
 JAVA_HOME            := /usr/lib/jvm/default-java/
-DEB_JARS             := ant-launcher antlrall ant-antlr ant-contrib-cpptasks ant-junit
+DEB_JARS             := ant-launcher antlrall ant-antlr ant-contrib ant-contrib-cpptasks ant-junit
 DEB_ANT_CLEAN_TARGET := clean
 DEB_BUILDDIR         := make
-DEB_ANT_BUILD_TARGET := all junit.run
+DEB_ANT_BUILD_TARGET := all.no_junit
 DEB_ANT_ARGS += -Dtarget.sourcelevel=1.6 -Dtarget.targetlevel=1.6 -Dtarget.rt.jar=1.6
-
-ifeq ($(DEB_HOST_ARCH),arm64)
-  JAVACMD += -zero
-endif
 
 ifeq ($(DEB_HOST_ARCH),armhf)
 DEB_ANT_ARGS         += -DisAbiEabiGnuArmhf=true
@@ -55,6 +51,7 @@
 
 clean::
 	$(RM) -r gluegen/build
+	$(RM) make/GnuCTreeParserTokenTypes.txt make/STDCTokenTypes.txt
 
 get-orig-source::
-	-uscan --upstream-version 0
+	uscan --download-current-version --no-symlink --force-download

=== debian/watch ===
version=3
http://jogamp.org/deployment/jogamp-current/archive/Sources/ gluegen-v(.*).tar.7z \
debian debian/orig-tar.sh

## gluegen2 2.3.2

=== debian/changelog ===
gluegen2 (2.3.2-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Fix support for architectures s390x, powerpc, ppc64el, and armhf
    (closes: #779482):
    - New patch s390x-support.diff: add support for s390x.
    - Simplify patch ppc64el-support.diff: the preferred pagesize is
      the runtime one, then no need to define the size_ppc_64_unix
      record where only the pagesize is different from size_lp64_unix.
    - d/rules: drop useless DEB_ANT_BUILD_TARGET override which
      disabled test cases build for armhf.

 -- Gilles Filippini <pini@debian.org>  Tue, 27 Oct 2015 11:34:36 +0100

gluegen2 (2.3.2-2) experimental; urgency=medium

  * Team upload.
  * Patch tests.diff: restore missing part mistakenly dropped in
    previous release.
  * Patch fix-arm64-build-config.diff: fix jre native libs path for
    arm64.
  * d/rules: simplify the test suite launch.

 -- Gilles Filippini <pini@debian.org>  Thu, 15 Oct 2015 10:03:21 +0200

gluegen2 (2.3.2-1) experimental; urgency=medium

  [ tony mancill ]
  * Make the build-dep on default-jdk versioned on >= 2:1.6.
    This prevents attempts to build on non-openjdk architectures.

  [ Gilles Filippini ]
  * Team upload.
  * New upstream release.
  * Refresh patches.
  * New patch disable-static-linking.diff.
  * Patch missing-arch-symbol.diff: don't check at all for specific
    glibc symbol version in glibc-compat-symbols.h (fix FTBFS on
    armel and arm64).

 -- Gilles Filippini <pini@debian.org>  Mon, 12 Oct 2015 10:59:34 +0200

gluegen2 (2.3.1-2) experimental; urgency=medium

  * Team upload.
  * WIP fixing ppc64el usability:
    - New patch: ppc64el-support.diff
    - Merge patch fix-ppc64-build-config.patch into ppc64el-support.diff
    - New patch fix-arm64-build-config.patch to gathers aarch64 snippets
      previously in fix-ppc64-build-config.patch.
  * Run the test suite at build time:
    - Patch tests.diff
    - debian/rules adapted accordingly
    - Failed tests don't make the build fail.

 -- Gilles Filippini <pini@debian.org>  Sun, 11 Oct 2015 00:28:38 +0200

gluegen2 (2.3.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #791992, #746493, #791993)
  * Add build-dep on jsr305-java.
  * Update debian/copyright and debian/README.source to document jcpp.
  * Update debian/copyright to assign Expat license to debian/*.

 -- tony mancill <tmancill@debian.org>  Thu, 08 Oct 2015 19:49:11 -0700

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 9), cdbs, quilt, default-jdk,
+Build-Depends: debhelper (>= 9), cdbs, quilt, default-jdk (>= 2:1.6),
  ant, junit4, ant-contrib-cpptasks, ant-optional, libantlr-java,
- ant-contrib
+ ant-contrib, libjsr305-java
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-java/gluegen2.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/gluegen2.git

=== debian/rules ===
--- 
+++ 
@@ -5,15 +5,14 @@
 include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
 JAVA_HOME            := /usr/lib/jvm/default-java/
-DEB_JARS             := ant-launcher antlrall ant-antlr ant-contrib ant-contrib-cpptasks ant-junit
+DEB_JARS             := ant-launcher antlrall ant-antlr ant-contrib ant-contrib-cpptasks ant-junit jsr305
 DEB_ANT_CLEAN_TARGET := clean
 DEB_BUILDDIR         := make
-DEB_ANT_BUILD_TARGET := all.no_junit
+DEB_ANT_BUILD_TARGET := all
 DEB_ANT_ARGS += -Dtarget.sourcelevel=1.6 -Dtarget.targetlevel=1.6 -Dtarget.rt.jar=1.6
 
 ifeq ($(DEB_HOST_ARCH),armhf)
 DEB_ANT_ARGS         += -DisAbiEabiGnuArmhf=true
-DEB_ANT_BUILD_TARGET := all.no_junit
 endif
 
 install/libgluegen2-rt-java::
@@ -42,16 +41,28 @@
 	rm debian/libgluegen2-build-java/usr/share/gluegen2/src/java/com/jogamp/gluegen/cgram/license.txt
 
 install/libgluegen2-jni::
-	install -m 644 -D build/obj/libgluegen-rt.so debian/libgluegen2-jni/usr/lib/jni/libgluegen2-rt.so
+	install -m 644 -D build/obj/libgluegen2-rt.so debian/libgluegen2-jni/usr/lib/jni/libgluegen2-rt.so
 
 install/libgluegen2-doc::
 	$(DEB_ANT_INVOKE) javadoc
 	mkdir -p debian/libgluegen2-doc/usr/share/doc/libgluegen2-java/
 	cp -Rf build/javadoc/gluegen/javadoc/* debian/libgluegen2-doc/usr/share/doc/libgluegen2-java/
 
+# Run the test suite
+common-post-build-arch::
+	ANT_PATH=/usr/share/ant make/scripts/runtest.sh $(CURDIR)/build
+
+DISABLED_TESTS := junit/util/VersionSemanticsUtil common/util/TestVersionSemantics
+post-patches::
+	cd src/junit/com/jogamp && \
+	  $(foreach test,$(DISABLED_TESTS),if [ -f $(test).java ]; then mv $(test).java $(test).java.disabled; fi &&) true
+
 clean::
-	$(RM) -r gluegen/build
+	$(RM) -r gluegen/build build-temp
 	$(RM) make/GnuCTreeParserTokenTypes.txt make/STDCTokenTypes.txt
+	cd src/junit/com/jogamp && \
+	  $(foreach test,$(DISABLED_TESTS),if [ -f $(test).java.disabled ]; then mv $(test).java.disabled $(test).java; fi &&) true
+	$(RM) test/TestJarsInJar/TestJarsInJar.jar runtest.log
 
 get-orig-source::
 	uscan --download-current-version --no-symlink --force-download

=== debian/watch ===
version=3
http://jogamp.org/deployment/jogamp-current/archive/Sources/ gluegen-v(.*).tar.xz \
debian debian/orig-tar.sh

## gluegen2 2.4.0+dfsg

=== debian/changelog ===
gluegen2 (2.4.0+dfsg-1) unstable; urgency=medium

  * Adding myself as uploader (Closes: #783519)
  * Aligning dependencies in d/control
  * Adding version mangling for the component in d/watch
  * Fixing the regex delimiter in d/rules
  * Forwarding patches

 -- Pierre Gruet <pgt@debian.org>  Sun, 18 Jun 2023 15:16:23 +0200

gluegen2 (2.4.0+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * Providing the right path for the Debian-installed cpptasks jar

 -- Pierre Gruet <pgt@debian.org>  Sun, 16 Apr 2023 22:05:09 +0200

gluegen2 (2.4.0+dfsg-1~exp0) experimental; urgency=medium

  * Team upload.
  * New upstream version 2.4.0+dfsg:
    - Repacking through the Files-Excluded mechanism and a MUT package
    - Excluding non-free contents in make/stub_includes/jni
  * Raising Standards version to 4.6.2
    - Setting Rules-Requires-Root: no
  * Working on debian/patches/:
    - Refreshing patches
    - Revising all patch headers
    - Cleaning old, long unused patches
  * Working on debian/control:
    - Revising the versioned dependencies and the Suggests:
    - Revising the short descriptions of the binary packages
    - Marking the -doc package as Multi-Arch: foreign
    - Marking the junit4 B-D with nocheck
  * Working on debian/rules:
    - Rewriting get-orig-pom rule as we now append +dfsg to upstream version
      numbers
    - Honouring DEB_BUILD_OPTIONS=nocheck
  * Refreshing debian/copyright
  * Raising debian/watch version to 4
  * Raising sourcelevel and targetlevel to 1.8 in debian/ant.properties
  * Removing now outdated debian/README.source file
  * Removing cc attributes that ant does not understand
  * Providing the path of the build .so file to the tests
  * Including the jni headers from the system instead of the non-free embedded
    ones
  * Changing the name of the .so to be installed in the -jni package
  * Adding missing shebangs in packaged scripts
  * Hardening by passing the LDFLAGS contents to the ant build file
  * Adding a Lintian override for shipped text files, seen as documentation
  * Manually updating the embedded pom file

 -- Pierre Gruet <pgt@debian.org>  Sun, 19 Mar 2023 08:20:16 +0100

gluegen2 (2.3.2-9) unstable; urgency=medium

  * Team upload.
  * Add text of CC-BY-SA-3.0 license to debian/copyright
  * Support building the package on riscv64 (Closes: #1014852)
    Thank you to Bo YU for the patch.

 -- tony mancill <tmancill@debian.org>  Wed, 13 Jul 2022 21:28:14 -0700

gluegen2 (2.3.2-8) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat.
    - Update compat level to 13.
  * Update Standards-Version to 4.5.1
  * Fix ftbfs with GCC-10. (Closes: #957276)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 30 Nov 2020 20:28:21 +0000

gluegen2 (2.3.2-7) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 10 (Closes: #897485)
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 May 2018 16:36:30 +0200

gluegen2 (2.3.2-6) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 9 (Closes: #874643)
  * Added mips64(el) and mipsn32(el) support. Thanks to YunQiang Su
    and Dejan Latinovic for the patch (Closes: #774832)
  * Build with the DH sequencer instead of CDBS
  * Changed the source/target level to 1.7
  * Standards-Version updated to 4.1.2
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 05 Dec 2017 14:54:43 +0100

gluegen2 (2.3.2-5) unstable; urgency=medium

  * Team upload.
  * Added the missing build dependency on maven-repo-helper

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 04 Aug 2016 13:05:20 +0200

gluegen2 (2.3.2-4) unstable; urgency=medium

  * Team upload.

  [ tony mancill ]
  * Add patch for kFreeBSD and Hurd (Closes: #808179).
    - Thanks to Steven Chamberlain for the patch.

  [ Emmanuel Bourg ]
  * Install the Maven artifacts for gluegen-rt (Closes: #712003)
  * Removed the build dependency on quilt
  * Standards-Version updated to 3.9.8
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 04 Aug 2016 12:09:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,31 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 9), cdbs, quilt, default-jdk (>= 2:1.6),
- ant, junit4, ant-contrib-cpptasks, ant-optional, libantlr-java,
- ant-contrib, libjsr305-java
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-java/gluegen2.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/gluegen2.git
-Homepage: http://jogamp.org
+Uploaders: Sylvestre Ledru <sylvestre@debian.org>,
+           Pierre Gruet <pgt@debian.org>
+Build-Depends: ant,
+               ant-contrib,
+               ant-contrib-cpptasks,
+               ant-optional,
+               debhelper-compat (= 13),
+               default-jdk,
+               junit4 <!nocheck>,
+               libantlr-java,
+               libjsr305-java,
+               maven-repo-helper
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/java-team/gluegen2.git
+Vcs-Browser: https://salsa.debian.org/java-team/gluegen2
+Homepage: https://jogamp.org
 
 Package: libgluegen2-rt-java
 Architecture: all
 Suggests: libgluegen2-doc
-Depends: ${misc:Depends}, antlr, libgluegen2-jni (>= ${source:Version})
-Description: Tool to automatically generate the Java and JNI code
+Depends: antlr,
+         libgluegen2-jni (>= ${source:Version}),
+         ${misc:Depends}
+Description: tool to automatically generate Java and JNI code (runtime files)
  Gluegen reads as input ANSI C header files and separate configuration files
  which provide control over many aspects of the glue code generation. GlueGen
  uses a complete ANSI C parser and an internal representation (IR) capable of
@@ -30,8 +41,9 @@
 Package: libgluegen2-build-java
 Architecture: all
 Suggests: libgluegen2-doc
-Depends: ${misc:Depends}, antlr
-Description: Tool to automatically generate the Java and JNI code
+Depends: antlr,
+         ${misc:Depends}
+Description: tool to automatically generate Java and JNI code (Java sources)
  Gluegen reads as input ANSI C header files and separate configuration files
  which provide control over many aspects of the glue code generation. GlueGen
  uses a complete ANSI C parser and an internal representation (IR) capable of
@@ -44,11 +56,11 @@
  This package contains some Java sources necessary to build gluegen-based
  packages.
 
-
 Package: libgluegen2-jni
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Tool to automatically generate the Java and JNI code
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: tool to automatically generate Java and JNI code (native library)
  Gluegen reads as input ANSI C header files and separate configuration files
  which provide control over many aspects of the glue code generation. GlueGen
  uses a complete ANSI C parser and an internal representation (IR) capable of
@@ -64,8 +76,10 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Suggests: libgluegen2
-Description: Tool to automatically generate the Java and JNI code
+Suggests: libgluegen2-build-java,
+          libgluegen2-rt-java
+Multi-Arch: foreign
+Description: tool to automatically generate Java and JNI code (documentation)
  Gluegen reads as input ANSI C header files and separate configuration files
  which provide control over many aspects of the glue code generation. GlueGen
  uses a complete ANSI C parser and an internal representation (IR) capable of

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifeq ($(DEB_HOST_ARCH),armhf)
EXTRA_ANT_ARGS = -DisAbiEabiGnuArmhf=true
endif

export CLASSPATH=/usr/share/java/jsr305.jar:/usr/share/java/ant-contrib-cpptasks.jar

# Providing the hardening LDFLAGS to the ant cc task.
ARGS_FOR_LINKER=$(shell LINKERARGS=""; \
    for arg in $(LDFLAGS); do\
        LINKERARGS="$${LINKERARGS}<linkerarg value=\\\"$$arg\\\" \/> " ;\
    done; \
    echo "$${LINKERARGS}")

%:
	dh $@ --buildsystem=ant --with maven-repo-helper

override_dh_auto_configure:
	-mv src/junit/com/jogamp/junit/util/VersionSemanticsUtil.java  src/junit/com/jogamp/junit/util/VersionSemanticsUtil.java.disabled
	-mv src/junit/com/jogamp/common/util/TestVersionSemantics.java src/junit/com/jogamp/common/util/TestVersionSemantics.java.disabled
	# Providing the hardening LDFLAGS to the ant cc task.
	mv make/build.xml make/build.xml.old
	sed 's|#LINKER_ARGS#|$(ARGS_FOR_LINKER)|' make/build.xml.old > make/build.xml

override_dh_auto_build:
	dh_auto_build -- -f make/build.xml all javadoc $(EXTRA_ANT_ARGS)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	ANT_PATH=/usr/share/ant make/scripts/runtest.sh build
endif

override_dh_install-indep:
	dh_install -i

	install -m 644 -D build/gluegen.jar debian/libgluegen2-build-java/usr/share/java/gluegen2-$(DEB_VERSION_UPSTREAM).jar
	ln -s gluegen2-$(DEB_VERSION_UPSTREAM).jar debian/libgluegen2-build-java/usr/share/java/gluegen2.jar

	find debian/libgluegen2-build-java/usr/share/gluegen2/ -type f -exec chmod a-x {} \;

	chmod +x debian/libgluegen2-build-java/usr/share/gluegen2/make/scripts/*.sh

	rm debian/libgluegen2-build-java/usr/share/gluegen2/src/java/com/jogamp/gluegen/cgram/license.txt

override_dh_auto_clean:
	-mv src/junit/com/jogamp/junit/util/VersionSemanticsUtil.java.disabled  src/junit/com/jogamp/junit/util/VersionSemanticsUtil.java
	-mv src/junit/com/jogamp/common/util/TestVersionSemantics.java.disabled src/junit/com/jogamp/common/util/TestVersionSemantics.java
	# Restoring make/build.xml
	if [ -e make/build.xml.old ]; then mv make/build.xml.old make/build.xml; fi

get-orig-pom:
	VERSION_FOR_POM=$(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/\+dfsg\d*//'); \
	wget https://repo1.maven.org/maven2/org/jogamp/gluegen/gluegen-rt/$$VERSION_FOR_POM/gluegen-rt-$$VERSION_FOR_POM.pom -O debian/pom-gluegen-rt.xml

## gluegen2 2.5.0+dfsg

=== debian/changelog ===
gluegen2 (2.5.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.0+dfsg
  * Refreshing patches
  * Refreshing copyright years
  * Fixing the clean target (Closes: #1044545)
  * Excluding embedded jars in the jcpp component tarball
  * Build-depending on libguava-java for the build and the tests
  * Hardening by passing CFLAGS and CPPFLAGS
  * Ignoring @Nonnull annotation in the tests

 -- Pierre Gruet <pgt@debian.org>  Mon, 11 Sep 2023 20:43:32 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                default-jdk,
                junit4 <!nocheck>,
                libantlr-java,
+               libguava-java,
                libjsr305-java,
                maven-repo-helper
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,13 @@
 
 export CLASSPATH=/usr/share/java/jsr305.jar:/usr/share/java/ant-contrib-cpptasks.jar
 
+# Providing the hardening CPPFLAGS to the ant cc task.
+ARGS_FOR_COMPILER=$(shell COMPILERARGS=""; \
+    for arg in $(CFLAGS) $(CPPFLAGS); do\
+        COMPILERARGS="$${COMPILERARGS}<compilerarg value=\\\"$$arg\\\" \/> " ;\
+    done; \
+    echo "$${COMPILERARGS}")
+
 # Providing the hardening LDFLAGS to the ant cc task.
 ARGS_FOR_LINKER=$(shell LINKERARGS=""; \
     for arg in $(LDFLAGS); do\
@@ -25,9 +32,10 @@
 override_dh_auto_configure:
 	-mv src/junit/com/jogamp/junit/util/VersionSemanticsUtil.java  src/junit/com/jogamp/junit/util/VersionSemanticsUtil.java.disabled
 	-mv src/junit/com/jogamp/common/util/TestVersionSemantics.java src/junit/com/jogamp/common/util/TestVersionSemantics.java.disabled
-	# Providing the hardening LDFLAGS to the ant cc task.
+	# Providing the hardening flags to the ant cc task.
 	mv make/build.xml make/build.xml.old
-	sed 's|#LINKER_ARGS#|$(ARGS_FOR_LINKER)|' make/build.xml.old > make/build.xml
+	sed -e 's|#COMPILER_ARGS#|$(ARGS_FOR_COMPILER)|'\
+	    -e 's|#LINKER_ARGS#|$(ARGS_FOR_LINKER)|' make/build.xml.old > make/build.xml
 
 override_dh_auto_build:
 	dh_auto_build -- -f make/build.xml all javadoc $(EXTRA_ANT_ARGS)
@@ -49,11 +57,18 @@
 
 	rm debian/libgluegen2-build-java/usr/share/gluegen2/src/java/com/jogamp/gluegen/cgram/license.txt
 
+	# Moving build.xml.old to build.xml in libgluegen2-build-java to avoid
+	# embedding build path
+	mv debian/libgluegen2-build-java/usr/share/gluegen2/make/build.xml.old debian/libgluegen2-build-java/usr/share/gluegen2/make/build.xml
+
 override_dh_auto_clean:
 	-mv src/junit/com/jogamp/junit/util/VersionSemanticsUtil.java.disabled  src/junit/com/jogamp/junit/util/VersionSemanticsUtil.java
 	-mv src/junit/com/jogamp/common/util/TestVersionSemantics.java.disabled src/junit/com/jogamp/common/util/TestVersionSemantics.java
+
+override_dh_clean:
+	dh_clean
 	# Restoring make/build.xml
-	if [ -e make/build.xml.old ]; then mv make/build.xml.old make/build.xml; fi
+	if [ -e make/build.xml.old ]; then mv make/build.xml.old make/build.xml; fi
 
 get-orig-pom:
 	VERSION_FOR_POM=$(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/\+dfsg\d*//'); \
